Package org.lwjgl.opengl

# Class ARBComputeShader

java.lang.Object
org.lwjgl.opengl.ARBComputeShader

public final class ARBComputeShader extends Object

## Field Summary

Fields
Modifier and Type
Field
Description
`static final int`
`GL_ATOMIC_COUNTER_BUFFER_REFERENCED_BY_COMPUTE_SHADER`
Accepted by the <pname> parameter of GetActiveAtomicCounterBufferiv:
`static final int`
`GL_COMPUTE_SHADER`
Accepted by the <type> parameter of CreateShader and returned in the <params> parameter by GetShaderiv:
`static final int`
`GL_COMPUTE_SHADER_BIT`
Accepted by the <stages> parameter of UseProgramStages:
`static final int`
`GL_COMPUTE_WORK_GROUP_SIZE`
Accepted by the <pname> parameter of GetProgramiv:
`static final int`
`GL_DISPATCH_INDIRECT_BUFFER`
Accepted by the <target> parameters of BindBuffer, BufferData, BufferSubData, MapBuffer, UnmapBuffer, GetBufferSubData, and GetBufferPointerv:
`static final int`
`GL_DISPATCH_INDIRECT_BUFFER_BINDING`
Accepted by the <value> parameter of GetIntegerv, GetBooleanv, GetInteger64v, GetFloatv, and GetDoublev:
`static final int`
`GL_MAX_COMBINED_COMPUTE_UNIFORM_COMPONENTS`
Accepted by the <pname> parameter of GetIntegerv, GetBooleanv, GetFloatv, GetDoublev and GetInteger64v:
`static final int`
`GL_MAX_COMPUTE_ATOMIC_COUNTER_BUFFERS`
Accepted by the <pname> parameter of GetIntegerv, GetBooleanv, GetFloatv, GetDoublev and GetInteger64v:
`static final int`
`GL_MAX_COMPUTE_ATOMIC_COUNTERS`
Accepted by the <pname> parameter of GetIntegerv, GetBooleanv, GetFloatv, GetDoublev and GetInteger64v:
`static final int`
`GL_MAX_COMPUTE_IMAGE_UNIFORMS`
Accepted by the <pname> parameter of GetIntegerv, GetBooleanv, GetFloatv, GetDoublev and GetInteger64v:
`static final int`
`GL_MAX_COMPUTE_SHARED_MEMORY_SIZE`
Accepted by the <pname> parameter of GetIntegerv, GetBooleanv, GetFloatv, GetDoublev and GetInteger64v:
`static final int`
`GL_MAX_COMPUTE_TEXTURE_IMAGE_UNITS`
Accepted by the <pname> parameter of GetIntegerv, GetBooleanv, GetFloatv, GetDoublev and GetInteger64v:
`static final int`
`GL_MAX_COMPUTE_UNIFORM_BLOCKS`
Accepted by the <pname> parameter of GetIntegerv, GetBooleanv, GetFloatv, GetDoublev and GetInteger64v:
`static final int`
`GL_MAX_COMPUTE_UNIFORM_COMPONENTS`
Accepted by the <pname> parameter of GetIntegerv, GetBooleanv, GetFloatv, GetDoublev and GetInteger64v:
`static final int`
`GL_MAX_COMPUTE_WORK_GROUP_COUNT`
Accepted by the <pname> parameter of GetIntegeri_v, GetBooleani_v, GetFloati_v, GetDoublei_v and GetInteger64i_v:
`static final int`
`GL_MAX_COMPUTE_WORK_GROUP_INVOCATIONS`
Accepted by the <pname> parameter of GetIntegerv, GetBooleanv, GetFloatv, GetDoublev and GetInteger64v:
`static final int`
`GL_MAX_COMPUTE_WORK_GROUP_SIZE`
Accepted by the <pname> parameter of GetIntegeri_v, GetBooleani_v, GetFloati_v, GetDoublei_v and GetInteger64i_v:
`static final int`
`GL_UNIFORM_BLOCK_REFERENCED_BY_COMPUTE_SHADER`
Accepted by the <pname> parameter of GetActiveUniformBlockiv:

## Method Summary

Modifier and Type
Method
Description
`static void`
`glDispatchCompute(int num_groups_x, int num_groups_y, int num_groups_z)`
`static void`
`glDispatchComputeIndirect(long indirect)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### GL_COMPUTE_SHADER

public static final int GL_COMPUTE_SHADER
Accepted by the <type> parameter of CreateShader and returned in the <params> parameter by GetShaderiv:

See Also:
  - Constant Field Values

### GL_MAX_COMPUTE_UNIFORM_BLOCKS

public static final int GL_MAX_COMPUTE_UNIFORM_BLOCKS
Accepted by the <pname> parameter of GetIntegerv, GetBooleanv, GetFloatv, GetDoublev and GetInteger64v:

See Also:
  - Constant Field Values

### GL_MAX_COMPUTE_TEXTURE_IMAGE_UNITS

public static final int GL_MAX_COMPUTE_TEXTURE_IMAGE_UNITS
Accepted by the <pname> parameter of GetIntegerv, GetBooleanv, GetFloatv, GetDoublev and GetInteger64v:

See Also:
  - Constant Field Values

### GL_MAX_COMPUTE_IMAGE_UNIFORMS

public static final int GL_MAX_COMPUTE_IMAGE_UNIFORMS
Accepted by the <pname> parameter of GetIntegerv, GetBooleanv, GetFloatv, GetDoublev and GetInteger64v:

See Also:
  - Constant Field Values

### GL_MAX_COMPUTE_SHARED_MEMORY_SIZE

public static final int GL_MAX_COMPUTE_SHARED_MEMORY_SIZE
Accepted by the <pname> parameter of GetIntegerv, GetBooleanv, GetFloatv, GetDoublev and GetInteger64v:

See Also:
  - Constant Field Values

### GL_MAX_COMPUTE_UNIFORM_COMPONENTS

public static final int GL_MAX_COMPUTE_UNIFORM_COMPONENTS
Accepted by the <pname> parameter of GetIntegerv, GetBooleanv, GetFloatv, GetDoublev and GetInteger64v:

See Also:
  - Constant Field Values

### GL_MAX_COMPUTE_ATOMIC_COUNTER_BUFFERS

public static final int GL_MAX_COMPUTE_ATOMIC_COUNTER_BUFFERS
Accepted by the <pname> parameter of GetIntegerv, GetBooleanv, GetFloatv, GetDoublev and GetInteger64v:

See Also:
  - Constant Field Values

### GL_MAX_COMPUTE_ATOMIC_COUNTERS

public static final int GL_MAX_COMPUTE_ATOMIC_COUNTERS
Accepted by the <pname> parameter of GetIntegerv, GetBooleanv, GetFloatv, GetDoublev and GetInteger64v:

See Also:
  - Constant Field Values

### GL_MAX_COMBINED_COMPUTE_UNIFORM_COMPONENTS

public static final int GL_MAX_COMBINED_COMPUTE_UNIFORM_COMPONENTS
Accepted by the <pname> parameter of GetIntegerv, GetBooleanv, GetFloatv, GetDoublev and GetInteger64v:

See Also:
  - Constant Field Values

### GL_MAX_COMPUTE_WORK_GROUP_INVOCATIONS

public static final int GL_MAX_COMPUTE_WORK_GROUP_INVOCATIONS
Accepted by the <pname> parameter of GetIntegerv, GetBooleanv, GetFloatv, GetDoublev and GetInteger64v:

See Also:
  - Constant Field Values

### GL_MAX_COMPUTE_WORK_GROUP_COUNT

public static final int GL_MAX_COMPUTE_WORK_GROUP_COUNT
Accepted by the <pname> parameter of GetIntegeri_v, GetBooleani_v, GetFloati_v, GetDoublei_v and GetInteger64i_v:

See Also:
  - Constant Field Values

### GL_MAX_COMPUTE_WORK_GROUP_SIZE

public static final int GL_MAX_COMPUTE_WORK_GROUP_SIZE
Accepted by the <pname> parameter of GetIntegeri_v, GetBooleani_v, GetFloati_v, GetDoublei_v and GetInteger64i_v:

See Also:
  - Constant Field Values

### GL_COMPUTE_WORK_GROUP_SIZE

public static final int GL_COMPUTE_WORK_GROUP_SIZE
Accepted by the <pname> parameter of GetProgramiv:

See Also:
  - Constant Field Values

### GL_UNIFORM_BLOCK_REFERENCED_BY_COMPUTE_SHADER

public static final int GL_UNIFORM_BLOCK_REFERENCED_BY_COMPUTE_SHADER
Accepted by the <pname> parameter of GetActiveUniformBlockiv:

See Also:
  - Constant Field Values

### GL_ATOMIC_COUNTER_BUFFER_REFERENCED_BY_COMPUTE_SHADER

public static final int GL_ATOMIC_COUNTER_BUFFER_REFERENCED_BY_COMPUTE_SHADER
Accepted by the <pname> parameter of GetActiveAtomicCounterBufferiv:

See Also:
  - Constant Field Values

### GL_DISPATCH_INDIRECT_BUFFER

public static final int GL_DISPATCH_INDIRECT_BUFFER
Accepted by the <target> parameters of BindBuffer, BufferData, BufferSubData, MapBuffer, UnmapBuffer, GetBufferSubData, and GetBufferPointerv:

See Also:
  - Constant Field Values

### GL_DISPATCH_INDIRECT_BUFFER_BINDING

public static final int GL_DISPATCH_INDIRECT_BUFFER_BINDING
Accepted by the <value> parameter of GetIntegerv, GetBooleanv, GetInteger64v, GetFloatv, and GetDoublev:

See Also:
  - Constant Field Values

### GL_COMPUTE_SHADER_BIT

public static final int GL_COMPUTE_SHADER_BIT
Accepted by the <stages> parameter of UseProgramStages:

See Also:
  - Constant Field Values

## Method Details

### glDispatchCompute

public static void glDispatchCompute(int num_groups_x, int num_groups_y, int num_groups_z)

### glDispatchComputeIndirect

public static void glDispatchComputeIndirect(long indirect)